Bug 1307238 - Review Request: gdouros-avdira-fonts - A font based on elements created by Demetrios Damilas (late 15th c.)
Review Request: gdouros-avdira-fonts - A font based on elements created by De...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-13 08:18 EST by Alexander Ploumistos
Modified: 2017-06-25 11:50 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-03 15:26:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Alexander Ploumistos 2016-02-13 08:18:46 EST
Spec URL: https://alexpl.fedorapeople.org/packages/fonts/gdouros/gdouros-avdira-fonts/gdouros-avdira-fonts.spec

SRPM URL: https://alexpl.fedorapeople.org/packages/fonts/gdouros/gdouros-avdira-fonts/gdouros-avdira-fonts-6.31-1.fc24.src.rpm

Description: The first edition of Isocrates, edited by Demetrius Chalcondyles, was published
by Uldericus Scinzenzeler & Sebastianus de Ponte Tremolo, in 1493 in Milan. It
was set in letters cut in 1481 by Bonus Accursius, copying the older elements
of Demetrius Damilas. A digital revival was prepared by Ralph P. Hancock for
his Milan (Mediolanum) font in 2000.

The font covers the Windows Glyph List, IPA Extensions, Greek Extended, Ancient
Greek Numbers, Byzantine and Ancient Greek Musical Notation, various
typographic extras and several Open Type features (Case-Sensitive Forms, Small
Capitals, Subscript, Superscript, Numerators, Denominators, Fractions, Old
Style Figures, Historical Forms, Stylistic Alternates, Ligatures).

It was created by George Douros.

Fedora Account System Username: alexpl
Comment 1 Alexander Ploumistos 2016-02-13 08:33:30 EST
A couple of days ago Mr. Douros released a new font in the "TextFonts" family, Avdira. This family includes Alexander, Anaktoria, Aroania and Asea, all of which I maintain.

The spec, metainfo and fontconfig files are all based on my previous work with the other fonts.

I have performed all the tasks and checks outlined in http://fedoraproject.org/wiki/Font_package_lifecycle .

The linked source rpm is from a successful scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=12955667

I have also created a wiki page for the font: https://fedoraproject.org/wiki/Gdouros_Avdira_fonts


ttfcoverage reports the following about the font:

Alphabetic Presentation Forms: 7/80 (8.75%)
Ancient Greek Musical Notation: 70/80 (87.50%)
Ancient Greek Numbers: 77/80 (96.25%)
Ancient Symbols: 12/64 (18.75%)
Arrows: 7/112 (6.25%)
Basic Latin: 97/128 (75.78%)
Block Elements: 8/32 (25.00%)
Box Drawing: 40/128 (31.25%)
Byzantine Musical Symbols: 246/256 (96.09%)
Combining Diacritical Marks: 41/112 (36.61%)
Combining Diacritical Marks Supplement: 4/64 (6.25%)
Combining Half Marks: 4/16 (25.00%)
Currency Symbols: 23/48 (47.92%)
Cyrillic: 106/256 (41.41%)
Dingbats: 16/192 (8.33%)
General Punctuation: 65/112 (58.04%)
Geometric Shapes: 20/96 (20.83%)
Greek Extended: 233/256 (91.02%)
Greek and Coptic: 121/144 (84.03%)
IPA Extensions: 96/96 (100.00%)
Latin Extended Additional: 19/256 (7.42%)
Latin Extended-A: 128/128 (100.00%)
Latin Extended-B: 27/208 (12.98%)
Latin Extended-C: 1/32 (3.12%)
Latin-1 Supplement: 96/128 (75.00%)
Letterlike Symbols: 8/80 (10.00%)
Mathematical Operators: 25/256 (9.77%)
Miscellaneous Mathematical Symbols-A: 9/48 (18.75%)
Miscellaneous Mathematical Symbols-B: 1/128 (0.78%)
Miscellaneous Symbols: 21/256 (8.20%)
Miscellaneous Symbols and Arrows: 1/256 (0.39%)
Miscellaneous Technical: 18/256 (7.03%)
Number Forms: 16/64 (25.00%)
Spacing Modifier Letters: 13/80 (16.25%)
Specials: 2/16 (12.50%)
Superscripts and Subscripts: 29/48 (60.42%)
Supplemental Punctuation: 35/128 (27.34%)
Supplementary Private Use Area-A: 98/65536 (0.15%)
Variation Selectors: 4/16 (25.00%)


PS1: A user had messed with the new font template in http://fedoraproject.org/wiki/Font_description_template and I reverted their changes. Could someone please check that everything is as it should be?

PS2: Once this font is accepted, could someone point me in the right direction for making a group or a metapackage to install all of the "TextFonts" together?
Comment 2 Zbigniew Jędrzejewski-Szmek 2016-02-20 17:21:00 EST
In the metainfo.xml file, it says <id>gdouros-aroania</id>.

In the same file, the indentation is a bit wonky, why not make it indents 2-space?

For the life of me I cannot get gnome-software to show the entry for this file. But it shows your other fonts without any trouble so I have no idea what is wrong.

- license is acceptable
- packaging follows font guidelines afaict
- fedora-review is happy
- font displays fine in lowriter ;)

ttname.log
----> rpms-unpacked/gdouros-avdira-fonts-6.31-1.fc24.noarch.rpm/usr/share/fonts/gdouros-avdira/Avdira.ttf
copyright notice (#0): Unicode Fonts for Ancient Scripts; George Douros; 2016
font family name (#1): Avdira
font subfamily name (#2): Regular
unique font identifier (#3): Avdira
full font name (#4): Avdira
version string (#5): Version 6.31
PostScript name (#6): Avdira
trademark information (#7): Avdira is not a merchandise.
<ttname.cli.TTNameCLI object at 0x7f47b8f8ac50>

There is one issue: all gdouros fonts have the same doc file, which is pretty hefty. I think you should create gdouros-fonts-doc subpackage from one of the font packages and simply Recommends it in the other gdourous-*-fonts packages. No need to install the same 1MB file multiple times.
Comment 3 Upstream Release Monitoring 2016-02-20 17:35:06 EST
alexpl's scratch build of gdouros-avdira-fonts-6.31-1.fc23.src.rpm for f24 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=13069719
Comment 4 Alexander Ploumistos 2016-02-20 17:51:56 EST
(In reply to Zbigniew Jędrzejewski-Szmek from comment #2)
> In the metainfo.xml file, it says <id>gdouros-aroania</id>.

I have fixed it in the source rpm.

> In the same file, the indentation is a bit wonky, why not make it indents
> 2-space?

I think I had used a metainfo file from another package as a template for all my fonts. I will clean up the others as well in git.

> For the life of me I cannot get gnome-software to show the entry for this
> file.

I'm not sure how that's supposed to work either...

> There is one issue: all gdouros fonts have the same doc file, which is
> pretty hefty. I think you should create gdouros-fonts-doc subpackage from
> one of the font packages and simply Recommends it in the other
> gdourous-*-fonts packages. No need to install the same 1MB file multiple
> times.

In the current scheme of things the pdf is placed in /usr/share/doc/gdouros-*-fonts/. Should there be a new documentation path like /usr/share/doc/gdouros-textfonts/ (which would have to be hardcoded) or is it OK to just keep it in the proper place for the one from which it will be created? Would it be preferable to remove it from all of them and create a separate package?
Comment 5 Zbigniew Jędrzejewski-Szmek 2016-02-21 00:03:23 EST
(In reply to Alexander Ploumistos from comment #4)
> (In reply to Zbigniew Jędrzejewski-Szmek from comment #2)
> > For the life of me I cannot get gnome-software to show the entry for this
> > file.
> 
> I'm not sure how that's supposed to work either...
By running gnome-software --verbose I found that it cannot find some pixmap... I tried to provide it, by copying from some other font package to a different name, but for some reason this wouldn't work. If we don't figure it out, I'll write to fedora-devel.

> In the current scheme of things the pdf is placed in
> /usr/share/doc/gdouros-*-fonts/. Should there be a new documentation path
> like /usr/share/doc/gdouros-textfonts/ (which would have to be hardcoded) or
> is it OK to just keep it in the proper place for the one from which it will
> be created? Would it be preferable to remove it from all of them and create
> a separate package?

Yes, I don't think that hardcoding is a problem, just use %{_docdir}/gdouros-textfonts or whatever. I think using a generic name like that makes it obvious that this documentation is not tied to any of the font packages, but is shared.

You could create a separate package, but I don't see the point. For users it doesn't matter if the file comes from a separate package or from a subpackage, and it is quite a bit of work to create (and then regularly update) an extra package.
Comment 6 Alexander Ploumistos 2016-02-21 05:32:16 EST
(In reply to Zbigniew Jędrzejewski-Szmek from comment #5)
> By running gnome-software --verbose I found that it cannot find some
> pixmap...

I'm not getting any error with --verbose and --local-filename, but I'm not seeing a font preview either (f23). What does your error message say?

> You could create a separate package, but I don't see the point. For users it
> doesn't matter if the file comes from a separate package or from a
> subpackage, and it is quite a bit of work to create (and then regularly
> update) an extra package.

I would like to create a gdouros-textfonts metapackage (for Anaktoria, Alexander, Aroania, Asea & Avdira) and it could be the one providing the documentation. Would that have to go through a new package review? Information regarding metapackages is scarce on the wiki.
Comment 7 Zbigniew Jędrzejewski-Szmek 2016-02-21 09:05:19 EST
$ gnome-software --verbose
...
(org.gnome.Software:9785): As-DEBUG: adding existing file: /usr/share/appdata/gdouros-avdira.metainfo.xml
...
(org.gnome.Software:9785): Gs-DEBUG: app invalid as no pixbuf gdouros-avdira
(org.gnome.Software:9785): Gs-DEBUG: no search results to show

The second part is after I type avdira into the search box.
Comment 8 Alexander Ploumistos 2016-02-21 10:41:30 EST
I have gnome-software-3.18.3-1.fc23.x86_64.

When I load the rpm with --local-filename I don't get a preview. After the installation, gnome-software can not find it, but I don't get any error resembling yours (or any other error at all). At some point, I saw this:

(org.gnome.Software:2851): As-WARNING **: failed to rescan: Failed to parse /usr/share/appdata/gdouros-avdira.metainfo.xml;56c9cb51 file: Error when getting information for file '/usr/share/appdata/gdouros-avdira.metainfo.xml;56c9cb51': No such file or directory

but I was unable to trigger it again in subsequent runs.


I've been seeing some of these

(org.gnome.Software:2851): As-WARNING **: failed to rescan: No valid root node specified

though they appear at random, so I don't suppose they could be related.


I can uninstall it with dnf just fine.


I thought there might be an issue with the fact that the package is unsigned, but other packages I've built and installed on my system appear in gnome-software, so it can't be that.


$ appstream-util validate gdouros-avdira.metainfo.xml 
gdouros-avdira.metainfo.xml: OK

I don't know what else to try.
Comment 9 Zbigniew Jędrzejewski-Szmek 2016-02-21 12:38:46 EST
Package is APPROVED.

Richard, do you have any idea why gnome-software doesn't show this font?
Comment 10 Alexander Ploumistos 2016-02-21 12:44:59 EST
Once again, thank you very much Zbigniew.

I'll start tinkering with the metapackage idea when I have some spare time.
Comment 11 Nicolas Mailhot 2016-02-22 08:26:31 EST
(In reply to Alexander Ploumistos from comment #6)

> I would like to create a gdouros-textfonts metapackage (for Anaktoria,
> Alexander, Aroania, Asea & Avdira) and it could be the one providing the
> documentation.

metapackages are a convenience and one's convenience is another's annoyance. If you do that you *must* make sure the individual font packages can still be installed separately without dragging in other stuff some users do not need. 

The Fedora fonts packaging policy is explicitly designed to permit fine-grained font installation, without locking users in specific font groups, to let users choose fonts on their individual merits. The font package naming already makes it easy to identify fonts of the same origin. A metapackage does not add a lot except hardwiring someone's preferencies.

> Would that have to go through a new package review?

Yes it would
Comment 12 Zbigniew Jędrzejewski-Szmek 2016-02-22 08:47:39 EST
I have to agree with that, I don't see much benefit to the metapackage. If you want the fonts to be installed together by default, you can add Suggests or Recommends between the fonts.
Comment 13 Gwyn Ciesla 2016-02-22 09:42:06 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/gdouros-avdira-fonts
Comment 14 Alexander Ploumistos 2016-02-22 10:48:08 EST
(In reply to Nicolas Mailhot from comment #11)
> metapackages are a convenience and one's convenience is another's annoyance.
> If you do that you *must* make sure the individual font packages can still
> be installed separately without dragging in other stuff some users do not
> need. 
> 
> The Fedora fonts packaging policy is explicitly designed to permit
> fine-grained font installation, without locking users in specific font
> groups, to let users choose fonts on their individual merits. The font
> package naming already makes it easy to identify fonts of the same origin. A
> metapackage does not add a lot except hardwiring someone's preferencies.

In all honesty, I'm not particularly anxious to create that metapackage. I thought that since Mr. Douros considers these fonts as a set, there might be others who would too. I'm actually happy to lay that thought to rest.

Just out of curiosity though, how would such a metapackage complicate things? Wouldn't it work like the libreoffice metapackage which doesn't have to be installed in order to get some features of the suite?
Comment 15 Alexander Ploumistos 2016-02-22 10:49:19 EST
(In reply to Jon Ciesla from comment #13)
> Package request has been approved:
> https://admin.fedoraproject.org/pkgdb/package/gdouros-avdira-fonts

Thanks!
Comment 16 Fedora Update System 2016-02-22 11:51:46 EST
gdouros-avdira-fonts-6.31-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5ab85da278
Comment 17 Fedora Update System 2016-02-24 16:52:37 EST
gdouros-avdira-fonts-6.31-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5ab85da278
Comment 18 Fedora Update System 2016-03-03 15:25:59 EST
gdouros-avdira-fonts-6.31-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 19 Alexander Ploumistos 2017-06-23 13:30:17 EDT
A couple of days ago I noticed that the NEEDINFO flag has the review stuck as pending in pkgdb and that's triggering my OCD :P. Given that gnome-software, the AppStream specification and this package have all changed since this review, I'm clearing the needinfo request.
Comment 20 Zbigniew Jędrzejewski-Szmek 2017-06-23 13:36:10 EDT
Good call. I just checked, and gnome-software shows the font without trouble (although with a big "no screenshot provided" empty box, but that's a separate issue).

> Just out of curiosity though, how would such a metapackage complicate things? Wouldn't it work like the libreoffice metapackage which doesn't have to be installed in order to get some features of the suite?

It wouldn't. It's just yet another package that needs an occasional release and update, etc.
Comment 21 Alexander Ploumistos 2017-06-25 07:59:22 EDT
(In reply to Zbigniew Jędrzejewski-Szmek from comment #20)
> Good call. I just checked, and gnome-software shows the font without trouble
> (although with a big "no screenshot provided" empty box, but that's a
> separate issue).

From the AppStream documentation:
"If the font metadata does not define an own screenshot, the AppStream generator is supposed to render one or multiple sample images using the respective font."

In my opinion, having maintainers provide their own screenshots for fonts without strict guidelines in place would hurt consistency. I can see its usefulness for something like hieroglyphics, but for anything else we should probably stick with the lazy dog and friends.

> > Just out of curiosity though, how would such a metapackage complicate things? Wouldn't it work like the libreoffice metapackage which doesn't have to be installed in order to get some features of the suite?
> 
> It wouldn't. It's just yet another package that needs an occasional release
> and update, etc.

For the record, I went with a gdouros-textfonts-doc subpackage, which every other font package in the family recommends.

Btw, in "My Requests" section of pkgdb, this package and its master branch are still listed as approved and pending respectively. I set f22 & f23 to "Obsolete", but nothing changed. None of the other packages I've introduced is listed there, so I don't think it's the default behavior. Let's see what happens after the move to pagure.

Note You need to log in before you can comment on or make changes to this bug.